## DzlSimplePopover DzlSimplePopover |

## Functions

GtkWidget * | dzl_simple_popover_new ()
const gchar * | dzl_simple_popover_get_text ()
void | dzl_simple_popover_set_text ()
const gchar * | dzl_simple_popover_get_message ()
void | dzl_simple_popover_set_message ()
const gchar * | dzl_simple_popover_get_title ()
void | dzl_simple_popover_set_title ()
const gchar * | dzl_simple_popover_get_button_text ()
void | dzl_simple_popover_set_button_text ()
gboolean | dzl_simple_popover_get_ready ()
void | dzl_simple_popover_set_ready ()

## Properties

gchar * | button-text | Read / Write
gchar * | message | Read / Write
gboolean | ready | Read / Write
gchar * | text | Read / Write
gchar * | title | Read / Write

## Signals

void | activate | Run Last
void | changed | Run Last
gboolean | insert-text | Run Last

## Types and Values

#define | DZL_TYPE_SIMPLE_POPOVER
struct | DzlSimplePopoverClass
| DzlSimplePopover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── DzlSimplePopover

## Implemented Interfaces

DzlSimplePopover implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_simple_popover_new ()

    GtkWidget *
    dzl_simple_popover_new (void);

### dzl_simple_popover_get_text ()

    const gchar *
    dzl_simple_popover_get_text (DzlSimplePopover *self);

### dzl_simple_popover_set_text ()

    void
    dzl_simple_popover_set_text (DzlSimplePopover *self,
                                 const gchar *text);

### dzl_simple_popover_get_message ()

    const gchar *
    dzl_simple_popover_get_message (DzlSimplePopover *self);

### dzl_simple_popover_set_message ()

    void
    dzl_simple_popover_set_message (DzlSimplePopover *self,
                                    const gchar *message);

### dzl_simple_popover_get_title ()

    const gchar *
    dzl_simple_popover_get_title (DzlSimplePopover *self);

### dzl_simple_popover_set_title ()

    void
    dzl_simple_popover_set_title (DzlSimplePopover *self,
                                  const gchar *title);

### dzl_simple_popover_get_button_text ()

    const gchar *
    dzl_simple_popover_get_button_text (DzlSimplePopover *self);

### dzl_simple_popover_set_button_text ()

    void
    dzl_simple_popover_set_button_text (DzlSimplePopover *self,
                                        const gchar *button_text);

### dzl_simple_popover_get_ready ()

    gboolean
    dzl_simple_popover_get_ready (DzlSimplePopover *self);

### dzl_simple_popover_set_ready ()

    void
    dzl_simple_popover_set_ready (DzlSimplePopover *self,
                                  gboolean ready);

## Types and Values

### DZL_TYPE_SIMPLE_POPOVER

    #define DZL_TYPE_SIMPLE_POPOVER (dzl_simple_popover_get_type())

### struct DzlSimplePopoverClass

    struct DzlSimplePopoverClass {
      GtkPopoverClass parent;

      /**
       * DzlSimplePopover::activate:
       * @self: The #DzlSimplePopover instance.
       * @text: The text at the time of activation.
       *
       * This signal is emitted when the popover's forward button is activated.
       * Connect to this signal to perform your forward progress.
       */
      void (*activate) (DzlSimplePopover *self,
                        const gchar      *text);

      /**
       * DzlSimplePopover::insert-text:
       * @self: A #DzlSimplePopover.
       * @position: the position in UTF-8 characters.
       * @chars: the NULL terminated UTF-8 text to insert.
       * @n_chars: the number of UTF-8 characters in chars.
       *
       * Use this signal to determine if text should be allowed to be inserted
       * into the text buffer. Return GDK_EVENT_STOP to prevent the text from
       * being inserted.
       */
      gboolean (*insert_text) (DzlSimplePopover *self,
                               guint             position,
                               const gchar      *chars,
                               guint             n_chars);

      /**
       * DzlSimplePopover::changed:
       * @self: A #DzlSimplePopover.
       *
       * This signal is emitted when the entry text changes.
       */
      void (*changed) (DzlSimplePopover *self);
    };

### DzlSimplePopover

    typedef struct _DzlSimplePopover DzlSimplePopover;

## Property Details

### The `“button-text”` property

      “button-text”              gchar *

Button Text.

Flags: Read / Write

Default value: NULL

### The `“message”` property

      “message”                  gchar *

Message.

Flags: Read / Write

Default value: NULL

### The `“ready”` property

      “ready”                    gboolean

Ready.

Flags: Read / Write

Default value: FALSE

### The `“text”` property

      “text”                     gchar *

Text.

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

Title.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“activate”` signal

    void
    user_function (DzlSimplePopover *self,
                   gchar            *text,
                   gpointer          user_data)

This signal is emitted when the popover's forward button is activated. Connect to this signal to perform your forward progress.

#### Parameters

self | The DzlSimplePopover instance. |
text | The text at the time of activation. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“changed”` signal

    void
    user_function (DzlSimplePopover *self,
                   gpointer          user_data)

This signal is emitted when the entry text changes.

#### Parameters

self | A DzlSimplePopover. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“insert-text”` signal

    gboolean
    user_function (DzlSimplePopover *self,
                   guint             position,
                   gchar            *chars,
                   guint             n_chars,
                   gpointer          user_data)

Use this signal to determine if text should be allowed to be inserted into the text buffer. Return GDK_EVENT_STOP to prevent the text from being inserted.

#### Parameters

self | A DzlSimplePopover. |
position | the position in UTF-8 characters. |
chars | the NULL terminated UTF-8 text to insert. |
n_chars | the number of UTF-8 characters in chars. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last